use crate::protobuf::rpc;

const SUBJECT: &str = "bet.beteran.c2se.backend.identity";

pub const SUBJECT_CHECK_USERNAME_FOR_DUPLICATION: &str =
  const_format::concatcp!(SUBJECT, ".CheckUsernameForDuplication");
/// subject = bet.beteran.c2se.backend.identity.CheckUsernameForDuplication;

pub const SUBJECT_CHECK_NICKNAME_FOR_DUPLICATION: &str =
  const_format::concatcp!(SUBJECT, ".CheckNicknameForDuplication");
/// subject = bet.beteran.c2se.backend.identity.CheckNicknameForDuplication;

pub const SUBJECT_CAPTCHA: &str = const_format::concatcp!(SUBJECT, ".Captcha");
/// subject = bet.beteran.c2se.backend.identity.Captcha

pub const SUBJECT_SIGNIN: &str = const_format::concatcp!(SUBJECT, ".Signin");
/// subject = bet.beteran.c2se.backend.identity.Signin
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninRequest {
  #[prost(string, tag = "1")]
  pub token: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub security_code: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub username: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub password: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(string, optional, tag = "2")]
  pub session_id: ::core::option::Option<::prost::alloc::string::String>,
}
